> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a presigned URL for uploading a file to trigger a workflow



## OpenAPI

````yaml /openapi/workflows.json post /workflows/{id}/file-upload-url
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /workflows/{id}/file-upload-url:
    post:
      tags:
        - Workflows
      summary: Get a presigned URL for uploading a file to trigger a workflow
      operationId: workflows.getFileUploadUrl
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                filename:
                  type: string
                  minLength: 1
                contentType:
                  type: string
                  minLength: 1
              required:
                - filename
                - contentType
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  uploadUrl:
                    type: string
                  uploadId:
                    type: string
                required:
                  - uploadUrl
                  - uploadId
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````